function love.load()

	math.randomseed( os.time() )
	--key values
	TileSize = 32
	TilesetX, TilesetY = 96, 96
	SizeX, SizeY = 32, 24
	
	--variables
	x,y,z,i,j,k = 0,0,0,0,0,0

	TilesetPic = love.graphics.newImage('TILESET.png')
	Tileset = { }
	
	for j=1, 3 do
		for i=1, 3 do 
			Tileset[((i-1)*3)+j] = love.graphics.newQuad((j-1)*TileSize, (i-1)*TileSize, TileSize, TileSize, TilesetX, TilesetY)
		end
	end	
	
	--demo
	Rankings = false
	TextX = 30
	RankingOffset = 210
	RankingOffset_Line = 200
	Columns = { 100, 500, 900 }
	RatingBaseValue = 1250
	RatingMultiplyer = 330
	
end

function love.draw()

	love.graphics.line(80,80, 80,700, 1000,700)
	
	if Rankings then
	
		--averages
		love.graphics.print("LD#27, LD#28 and LD#29 stats, about ranking.\n"..
		"Averages: Overall "..math.floor((LD27.Overall[1]+LD28.Overall[1]+LD29.Overall[1])/3) ..
		", Innovation "..math.floor((LD27.Innovation[1]+LD28.Innovation[1]+LD29.Innovation[1])/3) ..
		", Theme "..math.floor((LD27.Theme[1]+LD28.Theme[1]+LD29.Theme[1])/3) ..
		", Graphics "..math.floor((LD27.Graphics[1]+LD28.Graphics[1]+LD29.Graphics[1])/3) ..
		", Fun "..math.floor((LD27.Fun[1]+LD28.Fun[1]+LD29.Fun[1])/3) ..
		", Audio "..math.floor((LD27.Audio[1]+LD28.Audio[1]+LD29.Audio[1])/3) ..
		", Humor "..math.floor((LD27.Humor[1]+LD28.Humor[1]+LD29.Humor[1])/3) ..
		", Mood "..math.floor((LD27.Mood[1]+LD28.Mood[1]+LD29.Mood[1])/3),80,700)
		
		--meaning of lines
		love.graphics.print("Overall",TextX+20,LD27.Overall[1]-RankingOffset)
		love.graphics.print("Innovation",TextX,LD27.Innovation[1]-RankingOffset)	
		love.graphics.print("Theme",TextX+20,LD27.Theme[1]-RankingOffset)	
		love.graphics.print("Graphics",TextX+10,LD27.Graphics[1]-RankingOffset)
		love.graphics.print("Fun",TextX+40,LD27.Fun[1]-RankingOffset)
		love.graphics.print("Audio",TextX+30,LD27.Audio[1]-RankingOffset)	
		love.graphics.print("Humor",TextX+20,LD27.Humor[1]-RankingOffset)
		love.graphics.print("Mood",TextX+30,LD27.Mood[1]-RankingOffset)

		--lines
		love.graphics.line(Columns[1], LD27.Overall[1]-RankingOffset_Line, Columns[2], LD28.Overall[1]-RankingOffset_Line, Columns[3], LD29.Overall[1]-RankingOffset_Line)	
		love.graphics.line(Columns[1], LD27.Innovation[1]-RankingOffset_Line, Columns[2], LD28.Innovation[1]-RankingOffset_Line, Columns[3], LD29.Innovation[1]-RankingOffset_Line)		
		love.graphics.line(Columns[1], LD27.Theme[1]-RankingOffset_Line, Columns[2], LD28.Theme[1]-RankingOffset_Line, Columns[3], LD29.Theme[1]-RankingOffset_Line)
		love.graphics.line(Columns[1], LD27.Graphics[1]-RankingOffset_Line, Columns[2], LD28.Graphics[1]-RankingOffset_Line, Columns[3], LD29.Graphics[1]-RankingOffset_Line)	
		love.graphics.line(Columns[1], LD27.Fun[1]-RankingOffset_Line, Columns[2], LD28.Fun[1]-RankingOffset_Line, Columns[3], LD29.Fun[1]-RankingOffset_Line)
		love.graphics.line(Columns[1], LD27.Audio[1]-RankingOffset_Line, Columns[2], LD28.Audio[1]-RankingOffset_Line, Columns[3], LD29.Audio[1]-RankingOffset_Line)	
		love.graphics.line(Columns[1], LD27.Humor[1]-RankingOffset_Line, Columns[2], LD28.Humor[1]-RankingOffset_Line, Columns[3], LD29.Humor[1]-RankingOffset_Line)
		love.graphics.line(Columns[1], LD27.Mood[1]-RankingOffset_Line, Columns[2], LD28.Mood[1]-RankingOffset_Line, Columns[3], LD29.Mood[1]-RankingOffset_Line)
		
		--written values
		love.graphics.print(LD27.Overall[1],Columns[1],LD27.Overall[1]-RankingOffset)
		love.graphics.print(LD27.Innovation[1],Columns[1],LD27.Innovation[1]-RankingOffset)	
		love.graphics.print(LD27.Theme[1],Columns[1],LD27.Theme[1]-RankingOffset)	
		love.graphics.print(LD27.Graphics[1],Columns[1],LD27.Graphics[1]-RankingOffset)
		love.graphics.print(LD27.Fun[1],Columns[1],LD27.Fun[1]-RankingOffset)
		love.graphics.print(LD27.Audio[1],Columns[1],LD27.Audio[1]-RankingOffset)	
		love.graphics.print(LD27.Humor[1],Columns[1],LD27.Humor[1]-RankingOffset)
		love.graphics.print(LD27.Mood[1],Columns[1],LD27.Mood[1]-RankingOffset)	
		
		love.graphics.print(LD28.Overall[1],Columns[2],LD28.Overall[1]-RankingOffset)
		love.graphics.print(LD28.Innovation[1],Columns[2],LD28.Innovation[1]-RankingOffset)	
		love.graphics.print(LD28.Theme[1],Columns[2],LD28.Theme[1]-RankingOffset)	
		love.graphics.print(LD28.Graphics[1],Columns[2],LD28.Graphics[1]-RankingOffset)
		love.graphics.print(LD28.Fun[1],Columns[2],LD28.Fun[1]-RankingOffset)
		love.graphics.print(LD28.Audio[1],Columns[2],LD28.Audio[1]-RankingOffset)	
		love.graphics.print(LD28.Humor[1],Columns[2],LD28.Humor[1]-RankingOffset)
		love.graphics.print(LD28.Mood[1],Columns[2],LD28.Mood[1]-RankingOffset)		
		
		love.graphics.print(LD29.Overall[1],Columns[3],LD29.Overall[1]-RankingOffset)
		love.graphics.print(LD29.Innovation[1],Columns[3],LD29.Innovation[1]-RankingOffset)	
		love.graphics.print(LD29.Theme[1],Columns[3],LD29.Theme[1]-RankingOffset)	
		love.graphics.print(LD29.Graphics[1],Columns[3],LD29.Graphics[1]-RankingOffset)
		love.graphics.print(LD29.Fun[1],Columns[3],LD29.Fun[1]-RankingOffset)
		love.graphics.print(LD29.Audio[1],Columns[3],LD29.Audio[1]-RankingOffset)	
		love.graphics.print(LD29.Humor[1],Columns[3],LD29.Humor[1]-RankingOffset)
		love.graphics.print(LD29.Mood[1],Columns[3],LD29.Mood[1]-RankingOffset)				

		
	else
		--averages
		love.graphics.print("LD#27, LD#28 and LD#29 stats, about ratings.\n"..
		"Averages: Overall "..(LD27.Overall[2]+LD28.Overall[2]+LD29.Overall[2])/3 ..
		", Innovation "..(LD27.Innovation[2]+LD28.Innovation[2]+LD29.Innovation[2])/3 ..
		", Theme "..(LD27.Theme[2]+LD28.Theme[2]+LD29.Theme[2])/3 ..
		", Graphics "..(LD27.Graphics[2]+LD28.Graphics[2]+LD29.Graphics[2])/3 ..
		"\n, Fun "..(LD27.Fun[2]+LD28.Fun[2]+LD29.Fun[2])/3 ..
		", Audio "..(LD27.Audio[2]+LD28.Audio[2]+LD29.Audio[2])/3 ..
		", Humor "..(LD27.Humor[2]+LD28.Humor[2]+LD29.Humor[2])/3 ..
		", Mood "..(LD27.Mood[2]+LD28.Mood[2]+LD29.Mood[2])/3,80,700)
		
		--meaning of lines
		love.graphics.print("Overall",TextX+20,RatingBaseValue-(RatingMultiplyer*LD27.Overall[2]))
		love.graphics.print("Innovation",TextX,RatingBaseValue-(RatingMultiplyer*LD27.Innovation[2]))
		love.graphics.print("Theme",TextX+20,RatingBaseValue-(RatingMultiplyer*LD27.Theme[2]))
		love.graphics.print("Graphics",TextX+10,RatingBaseValue-(RatingMultiplyer*LD27.Graphics[2]))
		love.graphics.print("Fun",TextX+40,RatingBaseValue-(RatingMultiplyer*LD27.Fun[2]))
		love.graphics.print("Audio",TextX+30,RatingBaseValue-(RatingMultiplyer*LD27.Audio[2]))
		love.graphics.print("Humor",TextX+20,RatingBaseValue-(RatingMultiplyer*LD27.Humor[2]))
		love.graphics.print("Mood",TextX+30,RatingBaseValue-(RatingMultiplyer*LD27.Mood[2]))

		--lines
		love.graphics.line(Columns[1], RatingBaseValue-(RatingMultiplyer*LD27.Overall[2]), Columns[2], RatingBaseValue-(RatingMultiplyer*LD28.Overall[2]), Columns[3], RatingBaseValue-(RatingMultiplyer*LD29.Overall[2]))	
		love.graphics.line(Columns[1], RatingBaseValue-(RatingMultiplyer*LD27.Innovation[2]), Columns[2], RatingBaseValue-(RatingMultiplyer*LD28.Innovation[2]), Columns[3], RatingBaseValue-(RatingMultiplyer*LD29.Innovation[2]))		
		love.graphics.line(Columns[1], RatingBaseValue-(RatingMultiplyer*LD27.Theme[2]), Columns[2], RatingBaseValue-(RatingMultiplyer*LD28.Theme[2]), Columns[3], RatingBaseValue-(RatingMultiplyer*LD29.Theme[2]))
		love.graphics.line(Columns[1], RatingBaseValue-(RatingMultiplyer*LD27.Graphics[2]), Columns[2], RatingBaseValue-(RatingMultiplyer*LD28.Graphics[2]), Columns[3], RatingBaseValue-(RatingMultiplyer*LD29.Graphics[2]))	
		love.graphics.line(Columns[1], RatingBaseValue-(RatingMultiplyer*LD27.Fun[2]), Columns[2], RatingBaseValue-(RatingMultiplyer*LD28.Fun[2]), Columns[3], RatingBaseValue-(RatingMultiplyer*LD29.Fun[2]))
		love.graphics.line(Columns[1], RatingBaseValue-(RatingMultiplyer*LD27.Audio[2]), Columns[2], RatingBaseValue-(RatingMultiplyer*LD28.Audio[2]), Columns[3], RatingBaseValue-(RatingMultiplyer*LD29.Audio[2]))	
		love.graphics.line(Columns[1], RatingBaseValue-(RatingMultiplyer*LD27.Humor[2]), Columns[2], RatingBaseValue-(RatingMultiplyer*LD28.Humor[2]), Columns[3], RatingBaseValue-(RatingMultiplyer*LD29.Humor[2]))
		love.graphics.line(Columns[1], RatingBaseValue-(RatingMultiplyer*LD27.Mood[2]), Columns[2], RatingBaseValue-(RatingMultiplyer*LD28.Mood[2]), Columns[3], RatingBaseValue-(RatingMultiplyer*LD29.Mood[2]))
		
		--written values
		love.graphics.print(LD27.Overall[2],Columns[1],RatingBaseValue-(RatingMultiplyer*LD27.Overall[2]))
		love.graphics.print(LD27.Innovation[2],Columns[1],RatingBaseValue-(RatingMultiplyer*LD27.Innovation[2]))	
		love.graphics.print(LD27.Theme[2],Columns[1],RatingBaseValue-(RatingMultiplyer*LD27.Theme[2]))	
		love.graphics.print(LD27.Graphics[2],Columns[1],RatingBaseValue-(RatingMultiplyer*LD27.Graphics[2]))
		love.graphics.print(LD27.Fun[2],Columns[1],RatingBaseValue-(RatingMultiplyer*LD27.Fun[2]))
		love.graphics.print(LD27.Audio[2],Columns[1],RatingBaseValue-(RatingMultiplyer*LD27.Audio[2]))	
		love.graphics.print(LD27.Humor[2],Columns[1],RatingBaseValue-(RatingMultiplyer*LD27.Humor[2]))
		love.graphics.print(LD27.Mood[2],Columns[1],RatingBaseValue-(RatingMultiplyer*LD27.Mood[2]))	
		
		love.graphics.print(LD28.Overall[2],Columns[2],RatingBaseValue-(RatingMultiplyer*LD28.Overall[2]))
		love.graphics.print(LD28.Innovation[2],Columns[2],RatingBaseValue-(RatingMultiplyer*LD28.Innovation[2]))	
		love.graphics.print(LD28.Theme[2],Columns[2],RatingBaseValue-(RatingMultiplyer*LD28.Theme[2]))	
		love.graphics.print(LD28.Graphics[2],Columns[2],RatingBaseValue-(RatingMultiplyer*LD28.Graphics[2]))
		love.graphics.print(LD28.Fun[2],Columns[2],RatingBaseValue-(RatingMultiplyer*LD28.Fun[2]))
		love.graphics.print(LD28.Audio[2],Columns[2],RatingBaseValue-(RatingMultiplyer*LD28.Audio[2]))	
		love.graphics.print(LD28.Humor[2],Columns[2],RatingBaseValue-(RatingMultiplyer*LD28.Humor[2]))
		love.graphics.print(LD28.Mood[2],Columns[2],RatingBaseValue-(RatingMultiplyer*LD28.Mood[2]))		
		
		love.graphics.print(LD29.Overall[2],Columns[3],RatingBaseValue-(RatingMultiplyer*LD29.Overall[2]))
		love.graphics.print(LD29.Innovation[2],Columns[3],RatingBaseValue-(RatingMultiplyer*LD29.Innovation[2]))	
		love.graphics.print(LD29.Theme[2],Columns[3],RatingBaseValue-(RatingMultiplyer*LD29.Theme[2]))	
		love.graphics.print(LD29.Graphics[2],Columns[3],RatingBaseValue-(RatingMultiplyer*LD29.Graphics[2]))
		love.graphics.print(LD29.Fun[2],Columns[3],RatingBaseValue-(RatingMultiplyer*LD29.Fun[2]))
		love.graphics.print(LD29.Audio[2],Columns[3],RatingBaseValue-(RatingMultiplyer*LD29.Audio[2]))	
		love.graphics.print(LD29.Humor[2],Columns[3],RatingBaseValue-(RatingMultiplyer*LD29.Humor[2]))
		love.graphics.print(LD29.Mood[2],Columns[3],RatingBaseValue-(RatingMultiplyer*LD29.Mood[2]))			
	end
end

function love.update(dt)



end

function love.keypressed(key)
	if key == 'w' then 	 Rankings = not Rankings end
end

LD29 = {
Theme = { 215, 3.66 },
Innovation = { 283, 3.47 },
Overall = { 323, 3.43 },
Mood = { 420, 3.14 },
Graphics = { 421, 3.37 },
Fun = { 645, 2.92 },
Audio = { 696, 2.49 },
Humor= { 770, 2.15 }
}

LD28 = {
Theme = { 618, 2.65 },
Innovation = { 317, 3.17},
Overall = { 835, 2.56 },
Mood = { 213, 3.23 },
Graphics = { 787, 2.31 },
Fun = { 882, 2.24 },
Audio = { 720, 1.78 },
Humor= { 625, 1.96 }
}

LD27 = {
Theme = { 459, 3.28 },
Innovation = { 343, 3.27 },
Overall = { 569, 3.04 },
Mood = { 227, 3.23 },
Graphics = { 626, 2.77 },
Fun = { 879, 2.52 },
Audio = { 666, 2.33 },
Humor= { 466, 2.40 }
}





